ru.bitel.bgbilling.plugins.documents.common.bean

## Class Document

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.common.model.IdTitle
    - - ru.bitel.bgbilling.plugins.documents.common.bean.Document

- All Implemented Interfaces:
    java.io.Serializable, Idable, ListItem

      public class Document
      extends IdTitle

  Класс-модель документа в плагине Documents. Документ привязывается к определенному договору и может содержать произвольное число файлов. Документ может быть сгенерирован по шаблону.
  Author:
    reflexive
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.model.IdTitle

      `title`

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Document()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCid()` Deprecated.
    `java.lang.String` | `getComment()` Получение комментария документа.
    `int` | `getContractId()` Получение кода договора, к которому привязывается документ.
    `java.util.Date` | `getDate()` Получение даты создания документа.
    `int` | `getJournalId()` Получение кода журнала.
    `int` | `getPatternId()` Получение кода шаблона, по которому был сгенерирован документ.
    `int` | `getStatusId()` Получение статуса документа.
    `int` | `getTypeId()` Получение типа документа.
    `int` | `getUserId()` Получение кода пользователя, который создал документ.
    `void` | `setCid(int cid)` Deprecated.
    `void` | `setComment(java.lang.String comment)` Установка комментария документа.
    `void` | `setContractId(int contractId)` Установка кода договора, к которому привязывается документ.
    `void` | `setDate(java.util.Date date)` Установка даты создания документа.
    `void` | `setJournalId(int journal)` Установка кода журнала.
    `void` | `setPatternId(int patternId)` Установка кода шаблона, по которому был сгенерирован документ.
    `void` | `setStatusId(int status)` Установка статуса документа.
    `void` | `setTypeId(int type)` Установка типа документа.
    `void` | `setUserId(int user)` Установка кода пользователя.

    - ### Methods inherited from class ru.bitel.common.model.IdTitle

      `getTitle, setTitle, toString`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface ru.bitel.common.model.ListItem

      `getId`

- - ### Constructor Detail

    - #### Document

          public Document()

  - ### Method Detail

    - #### getCid

          @Deprecated
          public int getCid()

      Deprecated.
      Использовать `getContractId()`
      Returns:

    - #### setCid

          @Deprecated
          public void setCid(int cid)

      Deprecated.
      Использовать `setContractId(int)`
      Parameters:
        `cid` -

    - #### setContractId

          public void setContractId(int contractId)

      Установка кода договора, к которому привязывается документ.
      Parameters:
        `contractId` - код документа.

    - #### getContractId

          public int getContractId()

      Получение кода договора, к которому привязывается документ.
      Returns:
        код документа.

    - #### getComment

          public java.lang.String getComment()

      Получение комментария документа.
      Returns:
        комментарий документа

    - #### setComment

          public void setComment(java.lang.String comment)

      Установка комментария документа.
      Parameters:
        `comment` - комментарий документа.

    - #### getDate

          public java.util.Date getDate()

      Получение даты создания документа.
      Returns:
        дата создания документа.

    - #### setDate

          public void setDate(java.util.Date date)

      Установка даты создания документа.
      Parameters:
        `date` - дата создания документа.

    - #### getTypeId

          public int getTypeId()

      Получение типа документа.
      Returns:
        тип документа.

    - #### setTypeId

          public void setTypeId(int type)

      Установка типа документа.
      Parameters:
        `type` - тип документа.

    - #### getStatusId

          public int getStatusId()

      Получение статуса документа.
      Returns:
        статус документа.

    - #### setStatusId

          public void setStatusId(int status)

      Установка статуса документа.
      Parameters:
        `status` - статус документа.

    - #### getUserId

          public int getUserId()

      Получение кода пользователя, который создал документ. В случае, если документ был сгенерирован по шаблону, то вернется код пользователя,определенный константой `User.USER_SERVER`.
      Returns:
        код пользователя.

    - #### setUserId

          public void setUserId(int user)

      Установка кода пользователя. В случае, если документ был сгенерирован по шаблону, то в качестве кода пользователя устанавливается константа `User.USER_SERVER`.
      Parameters:
        `user` -

    - #### getJournalId

          public int getJournalId()

      Получение кода журнала.
      Returns:
        код журнала.

    - #### setJournalId

          public void setJournalId(int journal)

      Установка кода журнала.
      Parameters:
        `journal` - код журнала.

    - #### getPatternId

          public int getPatternId()

      Получение кода шаблона, по которому был сгенерирован документ. Если документ был создан вручную, что данное поле имеет значение -1.
      Returns:
        код шаблона.

    - #### setPatternId

          public void setPatternId(int patternId)

      Установка кода шаблона, по которому был сгенерирован документ. Код шаблона устанавливается в момент генерации документа по шаблону, иначе - код шаблона -1.
      Parameters:
        `patternId` - код шаблона